package com.syjy.calculate.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 数据请求参数格式化
 *
 * @author zcl
 * @version 1.0
 * @since 2022/9/9 10:34
 */
@Data
public class CalculateRequest implements Serializable {

    private static final long serialVersionUID = -437839076132402939L;

    /**
     * 计算信息
     */
    private List<CalculationInfo> calculationInfoList;
    /**
     * 容量
     */
    private BigDecimal cap;

    /**
     * 省调
     */
    private  String province;

    /**
     * 省调类型
     */
    private String formulaType;

    /**
     * 场站类型
     */
    private String electricType;

    /**
     * 备用字段
     */
    private String backUpA;

    /**
     * 备用字段
     */
    private String backUpB;

}