package com.syjy.calculate.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 计算入参
 *
 * @author zcl
 * @version 1.0
 * @since 2022/9/09 10:16
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class CalculationInfo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 实际功率
     */
    private BigDecimal sj;

    /**
     * 预测功率
     */
    private BigDecimal yc;

    /**
     *  容量
     */
    private BigDecimal rl;

    /**
     * 时间
     */
    private long time;

    /**
     * 备用字段
     */
    private BigDecimal backUpBigDecimal;
    /**
     * 备用字段
     */
    private String backUpStr;
    /**
     * 备用字段
     */
    private String backUpLong;
    /**
     * 备用字段
     */
    private boolean backUpBoolean;

}
